Subject: Re: [PATCH 5/9] serve: provide "receive" function for session-id capability

From: Taylor Blau <[email-masked]>
Date: Tue, 14 Sep 2021 12:55:01 -0400

On Tue, Sep 14, 2021 at 11:33:09AM -0400, Jeff King wrote:
> I had originally dropped has_capability() in a separate patch, to keep
> this one more readable. That breaks bisectability, but only with
> -Werror. I'm not sure where we should fall on that spectrum (I generally
> bisect with -Wno-error just because warnings may come and go when
> working with different compilers than what was normal at the time).

I tend to fall the same way, especially when bisecting things in ancient
(to me) versions of Git where my current compiler complains. So I think
the approach that you took here is just fine.

(This patch, as with all leading up to it, looks good to me.)

Thanks,
Taylor